public class Vecteur {

	private double x;

	private double y;

	public Vecteur( double x , double y ){
		this.x = x;
		this.y = y;
	}
	public Vecteur( ){
		this.x = 0.0;
		this.y = 0.0;
	}
	public Vecteur( Vecteur v ){
		this.x = v.x;
		this.y = v.y;
	}
	public double getX(){
		return this.x;
	}
	public double getY(){
		return this.y;
	}
	public void set( Vecteur v ){
		this.x = v.x;
		this.y = v.y;
	}
	public void setX( double x){
		this.x = x;
	}
	public void setY( double y){
		this.y = y;
	}
	public void add( Vecteur v ){
		this.x += v.x;
		this.y += v.y;
	}
	public void normalize(){
		double norm = java.lang.Math.sqrt( this.x*this.x + this.y*this.y );
		this.x = this.x / norm;
		this.y = this.y / norm;
	}
	public Vecteur mult( double tmp ){
		return this.mult( tmp, tmp );
	}
	public Vecteur mult( double tmpx, double tmpy ){
		Vecteur result = new Vecteur( this );
		result.x *= tmpx;
		result.y *= tmpy;
		return result;
	}
}
